<?php
/*-----------------------------------------------------------------------------------*/
/* Start Using wfnews Shortcodes in the Visual Composer */
/*-----------------------------------------------------------------------------------*/

add_action( 'init', 'wfnews_vc_shortcodes_adsense' );
function wfnews_vc_shortcodes_adsense() {
	
vc_map( array(
      "name" => esc_html__("FThemes - Google Adsense", 'wfnews'),
      "base" => "adsense",
      "icon" => WFNEWS_IMAGE_DIR .'vc.png',
      "class" => "",
      "category" => esc_html__('by Fluent-Themes Shortcodes', 'wfnews'),
      'admin_enqueue_js' => '',
      'admin_enqueue_css' => '',
      'description' => esc_html__('Shows google ads', 'wfnews'),
      "params" => array( 
		 array(
            "type" => "textfield",            
            "class" => "",
            "heading" => esc_html__("Adsense ID*", 'wfnews'),
            "param_name" => "userid",
            "value" => '',
            "std" => '',
            "description" => esc_html__( "Your unique Adsense ID. This field is required for your ads to work.", 'wfnews' ),			
         ),	
		 array(
            "type" => "dropdown",            
            "class" => "",
            "heading" => esc_html__("Select Ad Type", 'wfnews'),
            "param_name" => "type",
            "value" => wfnews_ad_types(),
            "description" => ""
         ),
	 
		array(
			"type" => "textfield",
			"heading" => esc_html__( "Channel ID (Optional)", 'wfnews' ),
			"param_name" => "channel",
			"description" => esc_html__( "Default channel id for shortcodes.", 'wfnews' ),
			"std" => ""
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__( "Slot ID (Optional)", 'wfnews' ),
			"param_name" => "slot",
			"description" => esc_html__( "Default channel id for shortcodes", 'wfnews' ),
			"std" => ""
		),		
	)
)
);	
}