<?php
/*****************
Post Block 1 Post List 
*****************/
function wfnews_post_block_1_shortcode($atts){
extract( shortcode_atts( array(
		'type' => 'post',
        'category' => '',
        'taboption' => 'no',
        'toptabcategory' => 'toptabcategory',
        'dropdowntabcategory' => 'dropdowntabcategory',
		'current_time' => time(),
		'imageanimate' => 'no',
		'nextprevbtn' => 'no',
		'large_post_id' => '',
		'large_post_title_limit' => 100,
		'large_post_excerpt_limit' => 15,
        'blockcolor' => '',
        'itemcount' => 5,
        'title_character_limit' => 100,
        'wordlimit' => 15,
        'orderby' => 'title',
        'order' => 'DESC',
        'heading' => 'Heading',
		'bgimagecls' => '',
		'loadercolor' => '',
		'blockbordercolor' => '',
		'blockbackgroundcolor' => '',
		'blocktextcolor' => '',
		'blockhovercolor' => '',
		'blockheadingcolor' => '',
		'blockheadingbackgroundcolor' => '',
		'blocksubtabbackground' => '',
		'blockcategorybackground' => '',
		'blockborder' => 'no',
		'heading_style' => '',
		'title_font' => '',		
		'lg_title_font_size' => '',
		'sm_title_font_size' => '',
		'lg_title_line_height' => '1.4',
		'sm_title_line_height' => '',
		'title_padding_bottom' => '',
		'headline_font' => '',		
		'headline_font_size' => '',
		'headline_line_height' => '',
		'excerpt_font' => '',		
		'excerpt_font_size' => '',
		'excerpt_line_height' => '',
		'meta_font' => '',		
		'meta_font_size' => '',
		'meta_line_height' => '',				
		'title_tag' => 'h4',
		'next_button_font' => '',		
		'next_button_font_size' => '',		
		'block_padding' => '',		
		'block_margin' => '', 'blocknumber' => '',
		'lg_post_title_color' => '',		
		'lg_post_meta_color' => '',		
		'block_tab_active_color' => '',		
		'sm_post_title_color' => '',		
		'sm_post_meta_color' => '',		
		'lg_post_cat_meta' => 'yes',		
		'lg_post_date_meta' => 'yes',				
		'sm_post_date_meta' => 'yes',		
		'heading_border_color' => '',
		'post_type' => 'post',				
), $atts) );
$term_id = $category;
$style=''; $fronturl = home_url( '/' ); $fronturl .= 'post-block-';
/******************
MANAGE GOOGLE FONT DATA 
******************/        
if(wfnews_get_plugin_option('title_font_settings')== "on"){	
	if(isset($title_font) && ($title_font != '')){
	$title_font_data = wfnews_getFontsData( $title_font );		
	$title_font_inline_style = wfnews_googleFontsStyles( $title_font_data );  
	wfnews_enqueueGoogleFonts( $title_font_data ); 
	}else{
	$title_font_inline_style='';
	}		
}else{
	$title_font_inline_style='';
	$title_font='';
	$lg_title_font_size='';
	$sm_title_line_height='';
	$title_padding_bottom='';
} 

if(wfnews_get_plugin_option('headline_font_settings')== "on"){
	if(isset($headline_font) && ($headline_font != '')){
	$headline_font_data = wfnews_getFontsData( $headline_font );
	$headline_font_data_inline_style = wfnews_googleFontsStyles( $headline_font_data );
    wfnews_enqueueGoogleFonts( $headline_font_data );
	}else{
	$headline_font_data_inline_style='';		
	}	
}else{
	$headline_font_data_inline_style='';
	$headline_font='';
	$headline_font_size='';
	$headline_line_height='';
}

if(wfnews_get_plugin_option('meta_font_settings')== "on"){
	if(isset($meta_font) && ($meta_font != '')){
	$meta_font_data = wfnews_getFontsData( $meta_font );
	$meta_font_data_inline_style = wfnews_googleFontsStyles( $meta_font_data );
    wfnews_enqueueGoogleFonts( $meta_font_data );
	}else{
	$meta_font_data_inline_style ='';	
	}	
}else{
	$meta_font_data_inline_style ='';
	$meta_font ='';
	$meta_font_size ='';
	$meta_line_height ='';
}		

if(wfnews_get_plugin_option('excerpt_font_settings')== "on"){
	if(isset($excerpt_font) && ($excerpt_font != '')){
	$excerpt_font_data = wfnews_getFontsData( $excerpt_font );
    $excerpt_font_data_inline_style = wfnews_googleFontsStyles( $excerpt_font_data );
    wfnews_enqueueGoogleFonts( $excerpt_font_data );
	}else{
	$excerpt_font_data_inline_style ='';	
	}	
}else{
	$excerpt_font_data_inline_style ='';
	$excerpt_font_size ='';
	$excerpt_line_height ='';
}

if(wfnews_get_plugin_option('button_font_settings')== "on"){
	if(isset($next_button_font) && ($next_button_font != '')){
	$next_button_font_data = wfnews_getFontsData( $next_button_font );
    $next_btn_font_data_inline_style = wfnews_googleFontsStyles( $next_button_font_data );
    wfnews_enqueueGoogleFonts( $next_button_font_data  );
	}else{
	$next_btn_font_data_inline_style ='';	
	}	
}else{
	$next_btn_font_data_inline_style ='';
	$next_button_font ='';
	$next_button_font_size ='';
	$next_button_width ='';
}		
/******************
END MANAGE GOOGLE FONT DATA 
******************/
		
		// explode tab categories
		if($taboption == 'yes'){
		$explode_top_cat = explode(",", $toptabcategory);
		$explode_down_cat = explode(",", $dropdowntabcategory);
		}else{
		$explode_top_cat = explode(",", $category);
		$explode_down_cat = explode(",", $category);			
		}
		// generate unique class for the section	
		for($i=0;$i<=50;$i++){
			$str = 'abcdefghijk';
			$shuffled = str_shuffle($str);
		}
		$unique_css_class=$shuffled;
		
		//include custom css
		include('block_1_css.php');	
		
		// style wise css headline css include
		if($heading_style == "style1") {
			include(dirname(__FILE__).'/../css/title/title-style1.php');
		}elseif ($heading_style == "style2"){
			include(dirname(__FILE__).'/../css/title/title-style2.php');
		}elseif ($heading_style == "style3"){
			include(dirname(__FILE__).'/../css/title/title-style3.php');
		}elseif ($heading_style == "style4"){
			include(dirname(__FILE__).'/../css/title/title-style4.php');
		}elseif ($heading_style == "style5"){
			include(dirname(__FILE__).'/../css/title/title-style5.php');
		}elseif ($heading_style == "style6"){
			include(dirname(__FILE__).'/../css/title/title-style6.php');
		}elseif ($heading_style == "style7"){
			include(dirname(__FILE__).'/../css/title/title-style7.php');
		}elseif ($heading_style == "style8"){
			include(dirname(__FILE__).'/../css/title/title-style8.php');
		}elseif ($heading_style == "style9"){
			include(dirname(__FILE__).'/../css/title/title-style9.php');
		}elseif ($heading_style == "style10"){
			include(dirname(__FILE__).'/../css/title/title-style10.php');
		}elseif ($heading_style == "style11"){
			include(dirname(__FILE__).'/../css/title/title-style11.php');
		}elseif ($heading_style == "style12"){
			include(dirname(__FILE__).'/../css/title/title-style12.php');
		}elseif ($heading_style == "style13"){
			include(dirname(__FILE__).'/../css/title/title-style13.php');
		}



			if($imageanimate=='yes'){ $bgimagecls='bg-img';}else{$bgimagecls='';}
			if($blockborder=='yes'){ $blockborder='wfnews-make-border';}else{$blockborder='';}
			if($blockcolor==''){ $loadercolor='#F26262';}else{$loadercolor=$blockcolor;}
			
			if($large_post_title_limit==''){ $large_post_title_limit=100;}else{$large_post_title_limit=$large_post_title_limit;}
			if($large_post_excerpt_limit==''){ $wordlimit=15;}else{$wordlimit=$large_post_excerpt_limit;}
			if($title_character_limit==''){ $title_character_limit=100;}else{$title_character_limit=$title_character_limit;}
			if($wordlimit==''){ $wordlimit=15;}else{$wordlimit=$wordlimit;}
			if($current_time==''){ $current_time = time();}else{$current_time=$current_time;}
			
			if($blockcolor || $blockhovercolor || $blockcategorybackground){
			if($blockhovercolor){
			include('blockhovercolor.php');
			}else{
				if($blockcolor){
				include('dependent-blockcolor.php');
				}
			}
			if($blockcategorybackground){
				include('blockcategorybackground.php');
				}
			if($blockcolor){
				include('blockcolor.php');
			}
			}

			if((!empty($blockheadingcolor)) || (!empty($blockheadingbackgroundcolor)) || (!empty($blockbordercolor)) || (!empty($blockbackgroundcolor)) || (!empty($blockposttitlecolor)) || (!empty($blockcolor)) || (!empty($blocktextcolor)) || (!empty($blockdatecolor))){

			if($blockheadingcolor){
			include('blockheadingcolor.php');
			} 
			if($blockheadingbackgroundcolor){
			include('blockheadingbackgroundcolor.php');	
			}else{
				if($blockbackgroundcolor){
				include('dependent-blockbackgroundcolor.php');	
				}
			}
			if($blockbordercolor){
			include('blockbordercolor.php');
			}
			if($blockbackgroundcolor){
			include('blockbackgroundcolor.php');
			}
		
			if($blocktextcolor){
			include('blocktextcolor.php');
			}

			if($blocksubtabbackground){
				include('blocksubtabbackground.php');
			}
			}
			if($block_tab_active_color){
				include('block_active_tab_color.php');
			}
			if($lg_post_title_color){
				include('lg_post_title_color.php');
			}
			if($lg_post_meta_color){
				include('lg_post_meta_color.php');
			}
			if($sm_post_title_color){
				include('sm_post_title_color.php');
			}
			if($sm_post_meta_color){
				include('sm_post_meta_color.php');
			}			
			$list = '';
			$list .= '<div class="'.esc_attr($unique_css_class).' post-block post_block_1 post_block_1'.$current_time.' '.$blockborder.'" ';if($block_padding || $block_margin){ $list.='style="';if($block_padding){ $list.='padding:'.$block_padding.';'; } if($block_margin){ $list.='margin:'.$block_margin.';'; } $list.='"'; } $list.='>';
			//Start from here
			if($heading){		
			$list .= '<h4 class="titleh3 margin-bottom-20 margin-bottom-15"><b ';if($headline_font_data_inline_style || $headline_font_size || $headline_line_height){ $list.='style="'; if($headline_font_data_inline_style){ $list.=$headline_font_data_inline_style; } if($headline_font_size){ $list.='font-size:'.$headline_font_size.' !important;'; } if($headline_line_height){ $list.='line-height:'.$headline_line_height.' !important;'; } $list.='"'; } $list.='>'.$heading.'</b>';
			
				if($taboption=='yes'){
			$list .='<div class="pull-right">
				<ul class="nav nav-tabs" id="post-block-1" role="tablist">';
				$alltopitems = explode(',', $toptabcategory);
				$i = 0;
				if (is_array($alltopitems) || is_object($alltopitems))
				{
				foreach ($alltopitems as $topitem) {
					$topcatname = get_cat_name( $topitem );
					if ($i == 0) {
						$list .='<li class="nav-item"><a  class="nav-link active" id="wfn-'.$current_time.$topitem.'-tab" data-toggle="tab" href="#wfn-'.$current_time.$topitem.'" role="tab" aria-controls="wfn-'.$current_time.$topitem.'" aria-selected="true" ';if($headline_font_data_inline_style || $headline_font_size || $headline_line_height){ $list.='style="'; if($headline_font_data_inline_style){ $list.=$headline_font_data_inline_style; } if($headline_font_size){ $list.='font-size:'.$headline_font_size.' !important;'; } if($headline_line_height){ $list.='line-height:'.$headline_line_height.' !important;'; } $list.='"'; } $list.='>'.$topcatname.'</a></li>';
					}else{
						$list .='<li class="nav-item"><a class="nav-link" id="wfn-'.$current_time.$topitem.'-tab" data-toggle="tab" href="#wfn-'.$current_time.$topitem.'" role="tab" aria-controls="wfn-'.$current_time.$topitem.'" aria-selected="true" ';if($headline_font_data_inline_style || $headline_font_size || $headline_line_height){ $list.='style="'; if($headline_font_data_inline_style){ $list.=$headline_font_data_inline_style; } if($headline_font_size){ $list.='font-size:'.$headline_font_size.' !important;'; } if($headline_line_height){ $list.='line-height:'.$headline_line_height.' !important;'; } $list.='"'; } $list.='>'.$topcatname.'</a></li>';
					}
					$i++;
				}
				}
		$alldropdownitems = explode(',', $dropdowntabcategory);	
	
		if(count($alldropdownitems) > 1){		
		$list .='<li class="nav-item dropdown">
				<a href="#" data-toggle="dropdown" class="nav-link dropdown-toggle" role="button" aria-haspopup="true" aria-expanded="false" ';if($headline_font_data_inline_style || $headline_font_size || $headline_line_height){ $list.='style="'; if($headline_font_data_inline_style){ $list.=$headline_font_data_inline_style; } if($headline_font_size){ $list.='font-size:'.$headline_font_size.' !important;'; } if($headline_line_height){ $list.='line-height:'.$headline_line_height.' !important;'; } $list.='"'; } $list.='>'.esc_attr__('All','wfnews').'</a> 
					<div class="dropdown-menu">';
					$alldropdownitems = explode(',', $dropdowntabcategory);
				
					if (is_array($alldropdownitems) || is_object($alldropdownitems))
					{
					foreach ($alldropdownitems as $dropdownitem) {
						$dropdowncatname = get_cat_name( $dropdownitem );
						$list .='<a id="wfn-'.$current_time.$dropdowncatname.'-tab" href="#wfn-'.$current_time.$dropdownitem.'mdiffer"  class="dropdown-item" ';if($headline_font_data_inline_style || $headline_font_size || $headline_line_height){ $list.='style="'; if($headline_font_data_inline_style){ $list.=$headline_font_data_inline_style; } if($headline_font_size){ $list.='font-size:'.$headline_font_size.' !important;'; } if($headline_line_height){ $list.='line-height:'.$headline_line_height.' !important;'; } $list.='"'; } $list.='>'.$dropdowncatname.'</a>';
					}	
					}
						
			$list .='</div>
				</li>';
		}	
		$list .='	</ul>
		</div>';
			}
			$list .='</h4>';
			}			
			if($taboption=='yes'){
			$list .='<div class="tab-content">';
			$alltopitems = explode(',', $toptabcategory);
			$i = 0;
			if (is_array($alltopitems) || is_object($alltopitems))
			{
			foreach ($alltopitems as $topitem) {

					$list .='<div class="tab-pane '; if($i == 0){ $list .='active'; } $list.='" id="wfn-'.$current_time.$topitem.'"  role="tabpanel" aria-labelledby="wfn-'.$current_time.$topitem.'-tab">';
					/* Start Tab Conent */
					if($nextprevbtn=='yes'){
					$list .= '<div class="fixedheight">';
					}else{
					$list .= '<div class="noloader">';
					}
	   $list .= '<div class="loader'.$current_time.'" style="display:none;"></div>
					<div id="mynewcontent'.$current_time.$topitem.'">
					<div class="row">
					<div class="col-md-6">';
					global $wp_query, $paged;
					if ( get_query_var('paged') ) { $paged = get_query_var('paged'); }
					elseif ( get_query_var('page') ) { $paged = get_query_var('page'); }
					else { $paged = 1; }
					
						
/*New args*/	
			if($post_type == 'post'){
				
			//large post $args	
			if($large_post_id == ''){
				$args = array('post_type' => 'post','paged' => $paged, 'posts_per_page' => 1, 'cat' => $explode_top_cat[$i], 'orderby' => $orderby, 'order' => $order);
			}else{
				$args = array('p' => $large_post_id, 'post_type' => 'any');
			}			
			//large post $args end
			
			} elseif($post_type == 'attachment') {
				
			//large post $args	
			if($large_post_id == ''){
				$args = array('post_type' => $post_type, 'paged' => $paged, 'posts_per_page' => 1,  'orderby' => $orderby, 'order' => $order, 'post_mime_type' => 'image/jpeg,image/gif,image/jpg,image/png','post_status' => 'any' );
			}else{
				$args = array('p' => $large_post_id, 'post_type' => 'any');
			}
			//large post $args end	
			
			} else{
			$term = get_term( $term_id );
			$term_post_type = get_taxonomy( $term->taxonomy )->object_type[0];
			//large post $args	
			if($large_post_id == ''){
				if($term_post_type == $post_type){
				$args = array('post_type' => $post_type,
				'tax_query' => array(
					array(
						'taxonomy' => $term->taxonomy,   // taxonomy name
						'field' => 'term_id',           // term_id, slug or name
						'terms' => $term_id,                  // term id, term slug or term name
					)
				),
				'paged' => $paged, 'posts_per_page' => 1,  'orderby' => $orderby, 'order' => $order);
				}else{
				$args = array('post_type' => $post_type,
				'paged' => $paged, 'posts_per_page' => 1,  'orderby' => $orderby, 'order' => $order);					
				}
			}else{
				$args = array('p' => $large_post_id, 'post_type' => 'any');
			}
			//large post $args end	
			
			}				
/*New args end*/					
					$post_array_new = array();	
					$wp_query1 = new WP_Query( $args );
					/*Pagination Fix*/
					$temp_query = $wp_query;
					$wp_query   = NULL;
					$wp_query   = $wp_query1;
					/*Pagination Fix end*/
					if ($wp_query->have_posts()) :  while ($wp_query->have_posts()) : $wp_query->the_post();
					$post_array_new[] = get_the_ID();	
					$featured_img = get_the_post_thumbnail_url(get_the_ID(),'full');
					if($featured_img){
						if ( wfnews_wp_is_mobile() ) {
						$featured_img_url = get_the_post_thumbnail_url(get_the_ID(),'medium');
						} else {
						$featured_img_url = get_the_post_thumbnail_url(get_the_ID(),'full');
						}
					}else{
						$featured_img_url = WFNEWS_IMAGE_DIR .'noblogimg.png';
					}

					if ( has_post_format( 'video' ) ) { 
						$videoicon = '<div class="play_md" style="background:none;"><a href="'.get_permalink().'"><img src="'. esc_url(WFNEWS_IMAGE_DIR) .'video.png" alt="'.esc_attr__('image','wfnews').'" style="width:48px;height:48px;" /></a></div>';
					}else{
						$videoicon = '';
					}
					$list .= '<article class="article-home sectiononestyle1 style-alt">
								<div class="col-md-12 no-padding">
								'.$videoicon.'
								<a href="'.get_permalink().'">
									<div class="beforegeneralstyle">
										<div class="generalstyle '.esc_attr($bgimagecls).'" style="background-image: url('.esc_url($featured_img_url).'); opacity: 1;"></div>';
									if($blocknumber) { $list .='<div class="wfnewsallinfo"><h3>'.esc_html__("Post Block", "wfnews").' '.$blocknumber.'</h3><p><a class="clckhr" target="_blank" href="'.esc_url($fronturl.$blocknumber).'/">'.esc_html__("Click Here", "wfnews").'</a> '.esc_html__("to view all features of this post-block", "wfnews").'</p></div>'; } $list .='
									</div>
								</a>
								</div>
								<div class="post-excerpt">
								'; if($lg_post_cat_meta == 'yes'){ $list.='
									<div class="small-title cat lg_meta" ';if($meta_font_data_inline_style || $meta_font_size || $meta_line_height){ $list.='style="'; if($meta_font_data_inline_style){ $list.=$meta_font_data_inline_style; } if($meta_font_size){ $list.='font-size:'.esc_attr($meta_font_size).' !important;'; } if($meta_line_height){ $list.='line-height:'.esc_attr($meta_line_height).' !important;'; } $list.='"'; } $list.='>' . wfnews_all_category_styles() . '</div>
								'; } $list.='	
									<'.esc_attr($title_tag).' class="lg_title post_block_title" ';if($lg_title_font_size){ $list.='style="font-size:'.esc_attr($lg_title_font_size).' !important;"'; } $list.='><a href="'.get_permalink().'" ';if($title_font_inline_style || $lg_title_font_size || $lg_title_line_height || $title_padding_bottom){ $list.='style="'; if($title_font_inline_style){ $list.=$title_font_inline_style; } if($lg_title_font_size){ $list.='font-size:'.esc_attr($lg_title_font_size).' !important;'; } if($lg_title_line_height){ $list.='line-height:'.esc_attr($lg_title_line_height).' !important;'; } if($title_padding_bottom){ $list.='padding-bottom:'.esc_attr($title_padding_bottom).' !important;display: block;'; } $list.='"'; } $list.='>' . mb_strimwidth( get_the_title(), 0, $large_post_title_limit, '...' ) . '</a></'.esc_attr($title_tag).'>
								';if($lg_post_date_meta == 'yes'){ $list.='	
									<div class="meta lg_meta" ';if($meta_font_data_inline_style || $meta_font_size || $meta_line_height){ $list.='style="'; if($meta_font_data_inline_style){ $list.=$meta_font_data_inline_style; } if($meta_font_size){ $list.='font-size:'.esc_attr($meta_font_size).' !important;'; } if($meta_line_height){ $list.='line-height:'.esc_attr($meta_line_height).' !important;'; } $list.='"'; } $list.='>
									
										<span ';if($meta_font_size){ $list.='style="font-size:inherit"'; } $list.='>'.esc_html__("by", "wfnews").' '.get_the_author_posts_link().'</span>
										
										<span ';if($meta_font_size){ $list.='style="font-size:inherit"'; } $list.='>'.esc_html__("on", "wfnews").' '.get_the_time('M j, Y').'</span>
										
										<span class="comment" ';if($meta_font_size){ $list.='style="font-size:inherit"'; } $list.='> <a class="meta-link" href="'.get_the_permalink().'"><i class="far fa-comment"></i> '.get_comments_number().'</a> </span>
										
									</div>
								'; } $list.='	
									<p ';if($excerpt_font_data_inline_style || $excerpt_font_size || $excerpt_line_height){ $list.='style="'; if($excerpt_font_data_inline_style){ $list.=$excerpt_font_data_inline_style; } if($excerpt_font_size){ $list.='font-size:'.esc_attr($excerpt_font_size).' !important;'; } if($excerpt_line_height){ $list.='line-height:'.esc_attr($excerpt_line_height).' !important;'; } $list.='"'; } $list.='>' . wfnews_excerpt($wordlimit) . '</p>
								</div>
							</article>';
					endwhile; endif;
							
					$list .= '</div>
						
						<div class="col-md-6">
							<div class="mini-posts">';
					$arr1 = $post_array_new;
					$ar = array_merge($arr1);
					$showpost_item = $itemcount - 1;	
					
					if (empty($ar)) {			
					$args = array('post_type' => 'post', 'posts_per_page' => $showpost_item, 'cat' => $explode_top_cat[$i], 'orderby' => $orderby, 'order' => $order);
					}else{
					$args = array('post_type' => 'post', 'post__not_in' => $ar, 'posts_per_page' => $showpost_item, 'cat' => $explode_top_cat[$i], 'orderby' => $orderby, 'order' => $order);
					}

/*New args*/	
			if($post_type == 'post'){			
			//small post $args
			if (empty($ar)) {	
				$args = array('post_type' => 'post',  'posts_per_page' => $showpost_item, 'cat' => $explode_top_cat[$i], 'orderby' => $orderby, 'order' => $order);
			}else{
				$args = array('post_type' => 'post',  'post__not_in' => $ar, 'posts_per_page' => $showpost_item, 'cat' => $explode_top_cat[$i], 'orderby' => $orderby, 'order' => $order);
			}
			//small post $args end
			} elseif($post_type == 'attachment') {
				
			//small post $args
			if (empty($ar)) {	
				$args = array('post_type' => $post_type,  'posts_per_page' => $showpost_item, 'orderby' => $orderby, 'order' => $order, 'post_mime_type' => 'image/jpeg,image/gif,image/jpg,image/png','post_status' => 'any');
			}else{
				$args = array('post_type' => $post_type,  'post__not_in' => $ar, 'posts_per_page' => $showpost_item,  'orderby' => $orderby, 'order' => $order, 'post_mime_type' => 'image/jpeg,image/gif,image/jpg,image/png','post_status' => 'any');
			}
			//small post $args	end	
			
			} else {
			$term = get_term( $term_id );
			$term_post_type = get_taxonomy( $term->taxonomy )->object_type[0];	
			//small post $args
			if (empty($ar)) {
				if($term_post_type == $post_type){				
				$args = array('post_type' => $post_type,  
				'tax_query' => array(
					array(
						'taxonomy' => $term->taxonomy,   // taxonomy name
						'field' => 'term_id',           // term_id, slug or name
						'terms' => $term_id,                  // term id, term slug or term name
					)
				),				
				'posts_per_page' => $showpost_item, 'orderby' => $orderby, 'order' => $order);
				}else{
				$args = array('post_type' => $post_type,  				
				'posts_per_page' => $showpost_item, 'orderby' => $orderby, 'order' => $order);
				}
			}else{
				if($term_post_type == $post_type){
				$args = array('post_type' => $post_type,  
				'tax_query' => array(
					array(
						'taxonomy' => $term->taxonomy,   // taxonomy name
						'field' => 'term_id',           // term_id, slug or name
						'terms' => $term_id,                  // term id, term slug or term name
					)
				),				
				'post__not_in' => $ar, 'posts_per_page' => $showpost_item,  'orderby' => $orderby);
				}else{
				$args = array('post_type' => $post_type,  				
				'post__not_in' => $ar, 'posts_per_page' => $showpost_item,  'orderby' => $orderby);
				}
			}
			//small post $args	end		
			
			}				
/*New args end*/					
					$wp_query2 = new WP_Query( $args );
					if ($wp_query2->have_posts()) :  while ($wp_query2->have_posts()) : $wp_query2->the_post();
					$featured_img = get_the_post_thumbnail_url(get_the_ID(),'full');
					if($featured_img){
					if ( wfnews_wp_is_mobile() ) {
					$featured_img_url = get_the_post_thumbnail_url(get_the_ID(),'medium');
					} else {
					$featured_img_url = get_the_post_thumbnail_url(get_the_ID(),'full');
					}
					}else{
					$featured_img_url = WFNEWS_IMAGE_DIR .'noblogimg.png';
					}
					if ( has_post_format( 'video' ) ) { 
						$videoicon = '<div class="play_thumb_48" style="background:none;"><a href="'.get_permalink().'"><img src="'. esc_url(WFNEWS_IMAGE_DIR) .'video.png" alt="'.esc_attr__('image','wfnews').'" style="width:36px;height:36px;" /></a></div>';
					}else{
						$videoicon = '';
					}
					$list .= '
								<article class="style2 style-alt">
									<div class="row">
										<div class="col-md-4 ">
											<div class="col-md-12 no-padding">
											'.$videoicon.'
												<a href="'.get_permalink().'">
													<div class="beforethumbnail">
														<div class="thumbnail '.esc_attr($bgimagecls).'" style="background-image: url('.esc_url($featured_img_url).'); opacity: 1;"></div>
													</div>
												</a>
											</div>
										</div>
										<div class="col-md-8 col-sm-8">
											<div class="post-excerpt no-padding">
											';if($lg_post_date_meta == 'yes'){ $list.='
												<div class="meta sm_meta" ';if($meta_font_data_inline_style || $meta_font_size || $meta_line_height){ $list.='style="'; if($meta_font_data_inline_style){ $list.=$meta_font_data_inline_style; } if($meta_font_size){ $list.='font-size:'.esc_attr($meta_font_size).' !important;'; } if($meta_line_height){ $list.='line-height:'.esc_attr($meta_line_height).' !important;'; } $list.='"'; } $list.='>
												
													<span ';if($meta_font_size){ $list.='style="font-size:inherit"'; } $list.='>'.get_the_time('M j, Y').'</span>
													
												</div>
											'; } $list.='	
												<'.esc_attr($title_tag).' class="post_block_title sm_title ';if($lg_post_date_meta == ''){ $list.='mt-0'; } $list.='" ';if($sm_title_font_size){ $list.='style="font-size:'.esc_attr($sm_title_font_size).' !important;"'; } $list.='><a href="'.get_permalink().'" ';if($title_font_inline_style || $sm_title_font_size || $sm_title_line_height || $title_padding_bottom){ $list.='style="'; if($title_font_inline_style){ $list.=$title_font_inline_style; } if($sm_title_font_size){ $list.='font-size:'.esc_attr($sm_title_font_size).' !important;'; } if($sm_title_line_height){ $list.='line-height:'.esc_attr($sm_title_line_height).' !important;'; } if($title_padding_bottom){ $list.='padding-bottom:'.esc_attr($title_padding_bottom).' !important;display: block;'; } $list.='"'; } $list.='>' . mb_strimwidth( get_the_title(), 0, $title_character_limit, '...' ) . '</a></'.esc_attr($title_tag).'>';
												if(get_comments_number()>0){
										$list.= '<div class="meta sm_meta">
													<span class="comment"> <a class="meta-link" href="'.get_the_permalink().'"><i class="far fa-comment"></i> '.get_comments_number().'</a> </span>
												</div>';
												}
									$list.= '</div>
										</div>
									</div>
								</article>'; 
					endwhile;endif;
					
					$list.= '</div>
					</div>
					</div>
					';
					if($nextprevbtn=='yes'){
					$list .='<div class="row">';
					$list .='<div id="mynewpagination'.$current_time.$topitem.'" class="vcelement_pagination">';
					$prev_link = get_previous_posts_link();
					$next_link = get_next_posts_link();
					
					if($prev_link){ 
					$list .='<b class="next-link" ';if($next_btn_font_data_inline_style || $next_button_font_size){ $list.='style="'; if($next_btn_font_data_inline_style){ $list.=$next_btn_font_data_inline_style; } if($next_button_font_size){ $list.='font-size:'.$next_button_font_size.' !important;'; } $list.='"'; } $list.='>'.get_previous_posts_link('Prev').'</b>';
					}else{ 
					$list .='<b class="next-link disabled" ';if($next_btn_font_data_inline_style || $next_button_font_size){ $list.='style="'; if($next_btn_font_data_inline_style){ $list.=$next_btn_font_data_inline_style; } if($next_button_font_size){ $list.='font-size:'.$next_button_font_size.' !important;'; } $list.='"'; } $list.='>'.esc_html__('Prev', 'wfnews').'</b>';
					} 
					if($next_link){
					$list .='<b class="prev-link" ';if($next_btn_font_data_inline_style || $next_button_font_size){ $list.='style="'; if($next_btn_font_data_inline_style){ $list.=$next_btn_font_data_inline_style; } if($next_button_font_size){ $list.='font-size:'.$next_button_font_size.' !important;'; } $list.='"'; } $list.='>'.get_next_posts_link('Next').'</b>';
					}else{ 	
					$list .='<b class="prev-link disabled" ';if($next_btn_font_data_inline_style || $next_button_font_size){ $list.='style="'; if($next_btn_font_data_inline_style){ $list.=$next_btn_font_data_inline_style; } if($next_button_font_size){ $list.='font-size:'.$next_button_font_size.' !important;'; } $list.='"'; } $list.='>'.esc_html__(' Next', 'wfnews').'</b>';
					} 				
					$list .='</div>';
					$list .='</div>';
					
					$list .='<script>
						jQuery(function($) {
							$("#mynewcontent'.$current_time.$topitem.'").on("click", "#mynewpagination'.$current_time.$topitem.' a", function(e){
								e.preventDefault();
								$(".loader'.$current_time.'").show();
								$(".fixedheight").height($("#mynewcontent'.$current_time.$topitem.'").height());
								var link = $(this).attr("href");
								$("#mynewcontent'.$current_time.$topitem.'").fadeOut("slow", function(){
									$(this).load(link + " #mynewcontent'.$current_time.$topitem.'", function() {
										$(this).fadeIn("slow");
										$(".loader'.$current_time.'").hide();
										$(".fixedheight").height("auto");
									});
								});
							});
							});
						 </script>
						 <div><style>';
					 $list .='.loader'.$current_time.' {
								border: 16px solid #f3f3f3;
								border-radius: 50%;
								border-top: 16px solid '.$loadercolor.';
								width: 120px;
								height: 120px;
								margin: 0 auto;
								-webkit-animation: spin 2s linear infinite;
								animation: spin 2s linear infinite;
								position: absolute;
								z-index: 999;
								left: 42%;
								top: 42%;
							}';
						$list .='</style></div>';				
						}
						// Reset main query object
						$wp_query = NULL;
						$wp_query = $temp_query;
						wp_reset_query();
					
					$list .='</div>';
					$list .='</div>';
					/* End Tab Conent */
					$list .='</div>';

				$i++;
			}
			}
			
			$alldropdownitems = explode(',', $dropdowntabcategory);
			$i=0;
			if (is_array($alldropdownitems) || is_object($alldropdownitems))
			{
			foreach ($alldropdownitems as $dropdownitem) {
				$dropdowncatname = get_cat_name( $dropdownitem );
				$list .='<div class="tab-pane" id="wfn-'.$current_time.$dropdownitem.'mdiffer"  role="tabpanel" aria-labelledby="wfn-'.$current_time.$dropdowncatname.'-tab">';
				
				/* Start Tab Conent */
					if($nextprevbtn=='yes'){
					$list .= '<div class="fixedheight">';
					}else{
					$list .= '<div class="noloader">';
					}
	   $list .= '<div class="loader'.$current_time.'" style="display:none;"></div>
				<div id="mynewcontent'.$current_time.$dropdownitem.'mdiffer">
					<div class="row">
						<div class="col-md-6">';
					global $wp_query, $paged;			
					if ( get_query_var('paged') ) { $paged = get_query_var('paged'); }
					elseif ( get_query_var('page') ) { $paged = get_query_var('page'); }
					else { $paged = 1; }
											
/*New args*/	
			if($post_type == 'post'){
				
			//large post $args	
			if($large_post_id == ''){
				$args = array('post_type' => 'post','paged' => $paged, 'posts_per_page' => 1, 'cat' => $explode_down_cat[$i], 'orderby' => $orderby, 'order' => $order);
			}else{
				$args = array('p' => $large_post_id, 'post_type' => 'any');
			}			
			//large post $args end
			
			} elseif($post_type == 'attachment') {
				
			//large post $args	
			if($large_post_id == ''){
				$args = array('post_type' => $post_type, 'paged' => $paged, 'posts_per_page' => 1,  'orderby' => $orderby, 'order' => $order, 'post_mime_type' => 'image/jpeg,image/gif,image/jpg,image/png','post_status' => 'any' );
			}else{
				$args = array('p' => $large_post_id, 'post_type' => 'any');
			}
			//large post $args end	
			
			} else{
			$term = get_term( $term_id );
			$term_post_type = get_taxonomy( $term->taxonomy )->object_type[0];
			//large post $args	
			if($large_post_id == ''){
				if($term_post_type == $post_type){
				$args = array('post_type' => $post_type,
				'tax_query' => array(
					array(
						'taxonomy' => $term->taxonomy,   // taxonomy name
						'field' => 'term_id',           // term_id, slug or name
						'terms' => $term_id,                  // term id, term slug or term name
					)
				),
				'paged' => $paged, 'posts_per_page' => 1,  'orderby' => $orderby, 'order' => $order);
				}else{
				$args = array('post_type' => $post_type,
				'paged' => $paged, 'posts_per_page' => 1,  'orderby' => $orderby, 'order' => $order);					
				}
			}else{
				$args = array('p' => $large_post_id, 'post_type' => 'any');
			}
			//large post $args end	
			
			}				
/*New args end*/					
					$post_array_new = array();	
					$wp_query5 = new WP_Query( $args );
					/*Pagination Fix*/
					$temp_query = $wp_query;
					$wp_query   = NULL;
					$wp_query   = $wp_query5;
					/*Pagination Fix end*/
					if ($wp_query->have_posts()) :  while ($wp_query->have_posts()) : $wp_query->the_post();
					$idd = get_the_ID();
					$post_array_new[] = get_the_ID();	
					$featured_img = get_the_post_thumbnail_url(get_the_ID(),'full');
					if($featured_img){
						if ( wfnews_wp_is_mobile() ) {
						$featured_img_url = get_the_post_thumbnail_url(get_the_ID(),'medium');
						} else {
						$featured_img_url = get_the_post_thumbnail_url(get_the_ID(),'full');
						}
					}else{
						$featured_img_url = WFNEWS_IMAGE_DIR .'noblogimg.png';
					}

					if ( has_post_format( 'video' ) ) { 
						$videoicon = '<div class="play_md" style="background:none;"><a href="'.get_permalink().'"><img src="'. esc_url(WFNEWS_IMAGE_DIR) .'video.png" alt="'.esc_attr__('image','wfnews').'" style="width:48px;height:48px;" /></a></div>';
					}else{
						$videoicon = '';
					}
					$list .= '<article class="article-home sectiononestyle1 style-alt">
								<div class="col-md-12 no-padding">
								'.$videoicon.'
								<a href="'.get_permalink().'">
									<div class="beforegeneralstyle">
										<div class="generalstyle '.esc_attr($bgimagecls).'" style="background-image: url('.esc_url($featured_img_url).'); opacity: 1;"></div>
									</div>
								</a>
								</div>
								<div class="post-excerpt">
								';if($lg_post_cat_meta == 'yes'){ $list.='
									<div class="small-title cat lg_meta" ';if($meta_font_data_inline_style || $meta_font_size || $meta_line_height){ $list.='style="'; if($meta_font_data_inline_style){ $list.=$meta_font_data_inline_style; } if($meta_font_size){ $list.='font-size:'.esc_attr($meta_font_size).' !important;'; } if($meta_line_height){ $list.='line-height:'.esc_attr($meta_line_height).' !important;'; } $list.='"'; } $list.='>' . wfnews_all_category_styles() . '</div>
								'; } $list.='	
									<'.esc_attr($title_tag).' class="lg_title post_block_title" ';if($lg_title_font_size){ $list.='style="font-size:'.esc_attr($lg_title_font_size).' !important;"'; } $list.='><a href="'.get_permalink().'" ';if($title_font_inline_style || $lg_title_font_size || $lg_title_line_height || $title_padding_bottom){ $list.='style="'; if($title_font_inline_style){ $list.=$title_font_inline_style; } if($lg_title_font_size){ $list.='font-size:'.esc_attr($lg_title_font_size).' !important;'; } if($lg_title_line_height){ $list.='line-height:'.esc_attr($lg_title_line_height).' !important;'; } if($title_padding_bottom){ $list.='padding-bottom:'.esc_attr($title_padding_bottom).' !important;display: block;'; } $list.='"'; } $list.='>' . mb_strimwidth( get_the_title(), 0, $large_post_title_limit, '...' ) . '</a></'.esc_attr($title_tag).'>
								';if($lg_post_date_meta == 'yes'){ $list.='	
									<div class="meta lg_meta" ';if($meta_font_data_inline_style || $meta_font_size || $meta_line_height){ $list.='style="'; if($meta_font_data_inline_style){ $list.=$meta_font_data_inline_style; } if($meta_font_size){ $list.='font-size:'.esc_attr($meta_font_size).' !important;'; } if($meta_line_height){ $list.='line-height:'.esc_attr($meta_line_height).' !important;'; } $list.='"'; } $list.='>
									
										<span ';if($meta_font_size){ $list.='style="font-size:inherit"'; } $list.='>'.esc_html__("by", "wfnews").' '.get_the_author_posts_link().'</span>
										
										<span ';if($meta_font_size){ $list.='style="font-size:inherit"'; } $list.='>'.esc_html__("on", "wfnews").' '.get_the_time('M j, Y').'</span>
										
										<span class="comment" ';if($meta_font_size){ $list.='style="font-size:inherit"'; } $list.='> <a class="meta-link" href="'.get_the_permalink().'"><i class="far fa-comment"></i> '.get_comments_number().'</a> </span>
										
									</div>
								'; } $list.='	
									<p ';if($excerpt_font_data_inline_style || $excerpt_font_size || $excerpt_line_height){ $list.='style="'; if($excerpt_font_data_inline_style){ $list.=$excerpt_font_data_inline_style; } if($excerpt_font_size){ $list.='font-size:'.esc_attr($excerpt_font_size).' !important;'; } if($excerpt_line_height){ $list.='line-height:'.esc_attr($excerpt_line_height).' !important;'; } $list.='"'; } $list.='>' . wfnews_excerpt($wordlimit) . '</p>
								</div>
							</article>';
					endwhile; endif;
							
					$list .= '</div>
						
						<div class="col-md-6">
							<div class="mini-posts">
						';
					$arr1 = $post_array_new;
					$ar = array_merge($arr1);
					$showpost_item = $itemcount - 1;
/*New args*/	
			if($post_type == 'post'){			
			//small post $args
			if (empty($ar)) {	
				$args = array('post_type' => 'post',  'posts_per_page' => $showpost_item, 'cat' => $explode_down_cat[$i], 'orderby' => $orderby, 'order' => $order);
			}else{
				$args = array('post_type' => 'post',  'post__not_in' => $ar, 'posts_per_page' => $showpost_item, 'cat' => $explode_down_cat[$i], 'orderby' => $orderby, 'order' => $order);
			}
			//small post $args end
			} elseif($post_type == 'attachment') {
				
			//small post $args
			if (empty($ar)) {	
				$args = array('post_type' => $post_type,  'posts_per_page' => $showpost_item, 'orderby' => $orderby, 'order' => $order, 'post_mime_type' => 'image/jpeg,image/gif,image/jpg,image/png','post_status' => 'any');
			}else{
				$args = array('post_type' => $post_type,  'post__not_in' => $ar, 'posts_per_page' => $showpost_item,  'orderby' => $orderby, 'order' => $order, 'post_mime_type' => 'image/jpeg,image/gif,image/jpg,image/png','post_status' => 'any');
			}
			//small post $args	end	
			
			} else {
			$term = get_term( $term_id );
			$term_post_type = get_taxonomy( $term->taxonomy )->object_type[0];	
			//small post $args
			if (empty($ar)) {
				if($term_post_type == $post_type){				
				$args = array('post_type' => $post_type,  
				'tax_query' => array(
					array(
						'taxonomy' => $term->taxonomy,   // taxonomy name
						'field' => 'term_id',           // term_id, slug or name
						'terms' => $term_id,                  // term id, term slug or term name
					)
				),				
				'posts_per_page' => $showpost_item, 'orderby' => $orderby, 'order' => $order);
				}else{
				$args = array('post_type' => $post_type,  				
				'posts_per_page' => $showpost_item, 'orderby' => $orderby, 'order' => $order);
				}
			}else{
				if($term_post_type == $post_type){
				$args = array('post_type' => $post_type,  
				'tax_query' => array(
					array(
						'taxonomy' => $term->taxonomy,   // taxonomy name
						'field' => 'term_id',           // term_id, slug or name
						'terms' => $term_id,                  // term id, term slug or term name
					)
				),				
				'post__not_in' => $ar, 'posts_per_page' => $showpost_item,  'orderby' => $orderby);
				}else{
				$args = array('post_type' => $post_type,  				
				'post__not_in' => $ar, 'posts_per_page' => $showpost_item,  'orderby' => $orderby);
				}
			}
			//small post $args	end		
			
			}				
/*New args end*/					
					$wp_query6 = new WP_Query( $args );
					if ($wp_query6->have_posts()) :  while ($wp_query6->have_posts()) : $wp_query6->the_post();
					$featured_img = get_the_post_thumbnail_url(get_the_ID(),'full');
					if($featured_img){
						if ( wfnews_wp_is_mobile() ) {
						$featured_img_url = get_the_post_thumbnail_url(get_the_ID(),'medium');
						} else {
						$featured_img_url = get_the_post_thumbnail_url(get_the_ID(),'full');
						}
					}else{
					$featured_img_url = WFNEWS_IMAGE_DIR .'noblogimg.png';
					}
					if ( has_post_format( 'video' ) ) { 
						$videoicon = '<div class="play_thumb_48" style="background:none;"><a href="'.get_permalink().'"><img src="'. esc_url(WFNEWS_IMAGE_DIR) .'video.png" alt="'.esc_attr__('image','wfnews').'" style="width:36px;height:36px;" /></a></div>';
					}else{
						$videoicon = '';
					}
					$list .= '
								<article class="style2 style-alt">
									<div class="row">
										<div class="col-md-4 ">
											<div class="col-md-12 no-padding">
											'.$videoicon.'
												<a href="'.get_permalink().'">
													<div class="beforethumbnail">
														<div class="thumbnail '.esc_attr($bgimagecls).'" style="background-image: url('.esc_url($featured_img_url).'); opacity: 1;"></div>
													</div>
												</a>
											</div>
										</div>
										<div class="col-md-8 col-sm-8">
											<div class="post-excerpt no-padding">
											';if($sm_post_date_meta == 'yes'){ $list.='
												<div class="meta sm_meta" ';if($meta_font_data_inline_style || $meta_font_size || $meta_line_height){ $list.='style="'; if($meta_font_data_inline_style){ $list.=$meta_font_data_inline_style; } if($meta_font_size){ $list.='font-size:'.esc_attr($meta_font_size).' !important;'; } if($meta_line_height){ $list.='line-height:'.esc_attr($meta_line_height).' !important;'; } $list.='"'; } $list.='>
													<span ';if($meta_font_size){ $list.='style="font-size:inherit"'; } $list.='>'.get_the_time('M j, Y').'</span>
												</div>
											'; } $list.='	
												<'.esc_attr($title_tag).' class="post_block_title sm_title ';if($sm_post_date_meta == ''){ $list.='mt-0';} $list.='" ';if($sm_title_font_size){ $list.='style="font-size:'.esc_attr($sm_title_font_size).' !important;"'; } $list.='><a href="'.get_permalink().'" ';if($title_font_inline_style || $sm_title_font_size || $sm_title_line_height || $title_padding_bottom){ $list.='style="'; if($title_font_inline_style){ $list.=$title_font_inline_style; } if($sm_title_font_size){ $list.='font-size:'.esc_attr($sm_title_font_size).' !important;'; } if($sm_title_line_height){ $list.='line-height:'.esc_attr($sm_title_line_height).' !important;'; } if($title_padding_bottom){ $list.='padding-bottom:'.esc_attr($title_padding_bottom).' !important;display: block;'; } $list.='"'; } $list.='>' . mb_strimwidth( get_the_title(), 0, $large_post_title_limit, '...' ) . '</a></'.esc_attr($title_tag).'>';
												
												if(get_comments_number()>0){
										$list.= '<div class="meta" ';if($meta_font_data_inline_style || $meta_font_size || $meta_line_height){ $list.='style="'; if($meta_font_data_inline_style){ $list.=$meta_font_data_inline_style; } if($meta_font_size){ $list.='font-size:'.esc_attr($meta_font_size).' !important;'; } if($meta_line_height){ $list.='line-height:'.esc_attr($meta_line_height).' !important;'; } $list.='"'; } $list.='>
													<span class="comment" ';if($meta_font_size){ $list.='style="font-size:inherit"'; } $list.='> <a class="meta-link" href="'.get_the_permalink().'"><i class="far fa-comment"></i> '.get_comments_number().'</a> </span>
												</div>';
												}
									$list.= '</div>
										</div>
									</div>
								</article>'; 
					endwhile; endif;
					wp_reset_postdata();
					$list .='</div>';
					$list.= '</div>
					</div>
					';
					if($nextprevbtn=='yes'){
					$list .='<div class="row">';
					$list .='<div id="mynewpagination'.$current_time.$dropdownitem.'mdiffer" class="vcelement_pagination">';
					$prev_link = get_previous_posts_link();
					$next_link = get_next_posts_link();
					
					if($prev_link){ 
					$list .='<b class="next-link" ';if($next_btn_font_data_inline_style || $next_button_font_size){ $list.='style="'; if($next_btn_font_data_inline_style){ $list.=$next_btn_font_data_inline_style; } if($next_button_font_size){ $list.='font-size:'.$next_button_font_size.' !important;'; } $list.='"'; } $list.='>'.get_previous_posts_link('Prev').'</b>';
					}else{ 
					$list .='<b class="next-link disabled" ';if($next_btn_font_data_inline_style || $next_button_font_size){ $list.='style="'; if($next_btn_font_data_inline_style){ $list.=$next_btn_font_data_inline_style; } if($next_button_font_size){ $list.='font-size:'.$next_button_font_size.' !important;'; } $list.='"'; } $list.='>'.esc_html__('Prev', 'wfnews').'</b>';
					} 
					if($next_link){
					$list .='<b class="prev-link" ';if($next_btn_font_data_inline_style || $next_button_font_size){ $list.='style="'; if($next_btn_font_data_inline_style){ $list.=$next_btn_font_data_inline_style; } if($next_button_font_size){ $list.='font-size:'.$next_button_font_size.' !important;'; } $list.='"'; } $list.='>'.get_next_posts_link('Next').'</b>';
					}else{ 	
					$list .='<b class="prev-link disabled" ';if($next_btn_font_data_inline_style || $next_button_font_size){ $list.='style="'; if($next_btn_font_data_inline_style){ $list.=$next_btn_font_data_inline_style; } if($next_button_font_size){ $list.='font-size:'.$next_button_font_size.' !important;'; } $list.='"'; } $list.='>'.esc_html__(' Next', 'wfnews').'</b>';
					} 				
					$list .='</div>';
					$list .='</div>';
					
					$list .='<script>
					jQuery(function($) {
					jQuery("#mynewcontent'.$current_time.$dropdownitem.'mdiffer").on("click", "#mynewpagination'.$current_time.$dropdownitem.'mdiffer a", function(e){
						e.preventDefault();
						jQuery(".loader'.$current_time.'").show();
						jQuery(".fixedheight").height($("#mynewcontent'.$current_time.$dropdownitem.'mdiffer").height());
						var link = $(this).attr("href");
						jQuery("#mynewcontent'.$current_time.$dropdownitem.'mdiffer").fadeOut("slow", function(){
							jQuery(this).load(link + " #mynewcontent'.$current_time.$dropdownitem.'mdiffer", function() {
								jQuery(this).fadeIn("slow");
								jQuery(".loader'.$current_time.'").hide();
								jQuery(".fixedheight").height("auto");
							});
						});
					});
					});
				 </script>';
			$list .='<div><style>';
			$list .='.loader'.$current_time.' {
						border: 16px solid #f3f3f3;
						border-radius: 50%;
						border-top: 16px solid '.$loadercolor.';
						width: 120px;
						height: 120px;
						margin: 0 auto;
						-webkit-animation: spin 2s linear infinite;
						animation: spin 2s linear infinite;
						position: absolute;
						z-index: 999;
						left: 42%;
						top: 42%;
					}';
			$list .='</style></div>';		
			}
			// Reset main query object
			$wp_query = NULL;
			$wp_query = $temp_query;
			
			$list .='</div>';
			$list .='</div>';
			/* End Tab Conent */
			$list .='</div>';
			$i++;
			}
			}

			}else{	
			if($nextprevbtn=='yes'){
					$list .= '<div class="fixedheight">';
					}else{
					$list .= '<div class="noloader">';
					}
	   $list .= '<div class="loader'.$current_time.'" style="display:none;"></div>
				<div id="mynewcontent'.$current_time.'">
				<div class="row">
				<div class="col-md-6">';
			global $wp_query, $paged;
			$i=0;
			if ( get_query_var('paged') ) { $paged = get_query_var('paged'); }
			elseif ( get_query_var('page') ) { $paged = get_query_var('page'); }
			else { $paged = 1; }	

/*New args*/	
			if($post_type == 'post'){
				
			//large post $args	
			if($large_post_id == ''){
				$args = array('post_type' => 'post','paged' => $paged, 'posts_per_page' => 1, 'cat' => $explode_down_cat, 'orderby' => $orderby, 'order' => $order);
			}else{
				$args = array('p' => $large_post_id, 'post_type' => 'any');
			}			
			//large post $args end
			
			} elseif($post_type == 'attachment') {
				
			//large post $args	
			if($large_post_id == ''){
				$args = array('post_type' => $post_type, 'paged' => $paged, 'posts_per_page' => 1,  'orderby' => $orderby, 'order' => $order, 'post_mime_type' => 'image/jpeg,image/gif,image/jpg,image/png','post_status' => 'any' );
			}else{
				$args = array('p' => $large_post_id, 'post_type' => 'any');
			}
			//large post $args end	
			
			} else{
			$term = get_term( $term_id );
			$term_post_type = get_taxonomy( $term->taxonomy )->object_type[0];
			//large post $args	
			if($large_post_id == ''){
				if($term_post_type == $post_type){
				$args = array('post_type' => $post_type,
				'tax_query' => array(
					array(
						'taxonomy' => $term->taxonomy,   // taxonomy name
						'field' => 'term_id',           // term_id, slug or name
						'terms' => $term_id,                  // term id, term slug or term name
					)
				),
				'paged' => $paged, 'posts_per_page' => 1,  'orderby' => $orderby, 'order' => $order);
				}else{
				$args = array('post_type' => $post_type,
				'paged' => $paged, 'posts_per_page' => 1,  'orderby' => $orderby, 'order' => $order);					
				}
			}else{
				$args = array('p' => $large_post_id, 'post_type' => 'any');
			}
			//large post $args end	
			
			}				
/*New args end*/			
			$post_array_new = array();	
			$wp_query7 = new WP_Query( $args );
			/*Pagination Fix*/
					$temp_query = $wp_query;
					$wp_query   = NULL;
					$wp_query   = $wp_query7;
					/*Pagination Fix end*/
			if ($wp_query->have_posts()) :  while ($wp_query->have_posts()) : $wp_query->the_post();
			$idd = get_the_ID();
			$post_array_new[] = get_the_ID();	
			$featured_img = get_the_post_thumbnail_url(get_the_ID(),'full');
			if($featured_img){
				if ( wfnews_wp_is_mobile() ) {
				$featured_img_url = get_the_post_thumbnail_url(get_the_ID(),'medium');
				} else {
				$featured_img_url = get_the_post_thumbnail_url(get_the_ID(),'full');
				}
			}else{
				$featured_img_url = WFNEWS_IMAGE_DIR .'noblogimg.png';
			}

			if ( has_post_format( 'video' ) ) : 
				$videoicon = '<div class="play_md" style="background:none;"><a href="'.get_permalink().'"><img src="'. esc_url(WFNEWS_IMAGE_DIR) .'video.png" alt="'.esc_attr__('image','wfnews').'" style="width:48px;height:48px;" /></a></div>';
			else:
				$videoicon = '';
			endif;
			$list .= '<article class="article-home sectiononestyle1 style-alt">
						<div class="col-md-12 no-padding">
						'.$videoicon.'
						<a href="'.get_permalink().'">
							<div class="beforegeneralstyle">
								<div class="generalstyle '.esc_attr($bgimagecls).'" style="background-image: url('.esc_url($featured_img_url).'); opacity: 1;"></div>';
									if($blocknumber) { $list .='<div class="wfnewsallinfo"><h3>'.esc_html__("Post Block", "wfnews").' '.$blocknumber.'</h3><p><a class="clckhr" target="_blank" href="'.esc_url($fronturl.$blocknumber).'/">'.esc_html__("Click Here", "wfnews").'</a> '.esc_html__("to view all features of this post-block", "wfnews").'</p></div>'; } $list .='
							</div>
						</a>
						</div>
						<div class="post-excerpt">
						'; if($lg_post_cat_meta == 'yes'){ $list.='
							<div class="small-title cat" ';if($meta_font_data_inline_style || $meta_font_size || $meta_line_height){ $list.='style="'; if($meta_font_data_inline_style){ $list.=$meta_font_data_inline_style; } if($meta_font_size){ $list.='font-size:'.esc_attr($meta_font_size).' !important;'; } if($meta_line_height){ $list.='line-height:'.esc_attr($meta_line_height).' !important;'; } $list.='"'; } $list.='>' . wfnews_all_category_styles() . '</div>
						'; } $list.='	
							<'.esc_attr($title_tag).' ';if($lg_title_font_size){ $list.='style="font-size:'.esc_attr($lg_title_font_size).' !important;"'; } $list.='><a href="'.get_permalink().'" ';if($title_font_inline_style || $lg_title_font_size || $lg_title_line_height || $title_padding_bottom){ $list.='style="'; if($title_font_inline_style){ $list.=$title_font_inline_style; } if($lg_title_font_size){ $list.='font-size:'.esc_attr($lg_title_font_size).' !important;'; } if($lg_title_line_height){ $list.='line-height:'.esc_attr($lg_title_line_height).' !important;'; } if($title_padding_bottom){ $list.='padding-bottom:'.esc_attr($title_padding_bottom).' !important;display: block;'; } $list.='"'; } $list.='>' . mb_strimwidth( get_the_title(), 0, $large_post_title_limit, '...' ) . '</a></'.esc_attr($title_tag).'>
						'; if($lg_post_date_meta == 'yes'){ $list.='	
							<div class="meta" ';if($meta_font_data_inline_style || $meta_font_size || $meta_line_height){ $list.='style="'; if($meta_font_data_inline_style){ $list.=$meta_font_data_inline_style; } if($meta_font_size){ $list.='font-size:'.esc_attr($meta_font_size).' !important;'; } if($meta_line_height){ $list.='line-height:'.esc_attr($meta_line_height).' !important;'; } $list.='"'; } $list.='>
							
								<span ';if($meta_font_size){ $list.='style="font-size:inherit"'; } $list.='>'.esc_html__("by", "wfnews").' '.get_the_author_posts_link().'</span>
								
								<span ';if($meta_font_size){ $list.='style="font-size:inherit"'; } $list.='>'.esc_html__("on", "wfnews").' '.get_the_time('M j, Y').'</span>
								
								<span class="comment" ';if($meta_font_size){ $list.='style="font-size:inherit"'; } $list.='> <a class="meta-link" href="'.get_the_permalink().'"><i class="far fa-comment"></i> '.get_comments_number().'</a> </span>
								
							</div>
						'; } $list.='	
							<p>' . wfnews_excerpt($large_post_excerpt_limit) . '</p>
						</div>
					</article>';
			endwhile; endif;
					
			$list .= '</div>
				
				<div class="col-md-6">
					<div class="mini-posts">
				';
			$arr1 = $post_array_new;
			$ar = array_merge($arr1);
			$showpost_item = $itemcount - 1;

/*New args*/	
			if($post_type == 'post'){			
			//small post $args
			if (empty($ar)) {	
				$args = array('post_type' => 'post',  'posts_per_page' => $showpost_item, 'cat' => $category, 'orderby' => $orderby, 'order' => $order);
			}else{
				$args = array('post_type' => 'post',  'post__not_in' => $ar, 'posts_per_page' => $showpost_item, 'cat' => $category, 'orderby' => $orderby, 'order' => $order);
			}
			//small post $args end
			} elseif($post_type == 'attachment') {
				
			//small post $args
			if (empty($ar)) {	
				$args = array('post_type' => $post_type,  'posts_per_page' => $showpost_item, 'orderby' => $orderby, 'order' => $order, 'post_mime_type' => 'image/jpeg,image/gif,image/jpg,image/png','post_status' => 'any');
			}else{
				$args = array('post_type' => $post_type,  'post__not_in' => $ar, 'posts_per_page' => $showpost_item,  'orderby' => $orderby, 'order' => $order, 'post_mime_type' => 'image/jpeg,image/gif,image/jpg,image/png','post_status' => 'any');
			}
			//small post $args	end	
			
			} else {
			$term = get_term( $term_id );
			$term_post_type = get_taxonomy( $term->taxonomy )->object_type[0];	
			//small post $args
			if (empty($ar)) {
				if($term_post_type == $post_type){				
				$args = array('post_type' => $post_type,  
				'tax_query' => array(
					array(
						'taxonomy' => $term->taxonomy,   // taxonomy name
						'field' => 'term_id',           // term_id, slug or name
						'terms' => $term_id,                  // term id, term slug or term name
					)
				),				
				'posts_per_page' => $showpost_item, 'orderby' => $orderby, 'order' => $order);
				}else{
				$args = array('post_type' => $post_type,  				
				'posts_per_page' => $showpost_item, 'orderby' => $orderby, 'order' => $order);
				}
			}else{
				if($term_post_type == $post_type){
				$args = array('post_type' => $post_type,  
				'tax_query' => array(
					array(
						'taxonomy' => $term->taxonomy,   // taxonomy name
						'field' => 'term_id',           // term_id, slug or name
						'terms' => $term_id,                  // term id, term slug or term name
					)
				),				
				'post__not_in' => $ar, 'posts_per_page' => $showpost_item,  'orderby' => $orderby);
				}else{
				$args = array('post_type' => $post_type,  				
				'post__not_in' => $ar, 'posts_per_page' => $showpost_item,  'orderby' => $orderby);
				}
			}
			//small post $args	end		
			
			}				
/*New args end*/			
			$wp_query8 = new WP_Query( $args );
			if ($wp_query8->have_posts()) :  while ($wp_query8->have_posts()) : $wp_query8->the_post();
			$featured_img = get_the_post_thumbnail_url(get_the_ID(),'full');
			if($featured_img){
				if ( wfnews_wp_is_mobile() ) {
				$featured_img_url = get_the_post_thumbnail_url(get_the_ID(),'medium');
				} else {
				$featured_img_url = get_the_post_thumbnail_url(get_the_ID(),'full');
				}
			}else{
			$featured_img_url = WFNEWS_IMAGE_DIR .'noblogimg.png';
			}
			if ( has_post_format( 'video' ) ) : 
				$videoicon = '<div class="play_thumb_48" style="background:none;"><a href="'.get_permalink().'"><img src="'. esc_url(WFNEWS_IMAGE_DIR) .'video.png" alt="'.esc_attr__('image','wfnews').'" style="width:36px;height:36px;" /></a></div>';
			else:
				$videoicon = '';
			endif;
			$list .= '
						<article class="style2 style-alt">
							<div class="row">
								<div class="col-md-4 ">
									<div class="col-md-12 no-padding">
									'.$videoicon.'
										<a href="'.get_permalink().'">
											<div class="beforethumbnail">
												<div class="thumbnail '.esc_attr($bgimagecls).'" style="background-image: url('.esc_url($featured_img_url).'); opacity: 1;"></div>
											</div>
										</a>
									</div>
								</div>
								<div class="col-md-8 col-sm-8">
									<div class="post-excerpt no-padding">
									'; if($sm_post_date_meta == 'yes'){ $list.='
										<div class="meta" ';if($meta_font_data_inline_style || $meta_font_size || $meta_line_height){ $list.='style="'; if($meta_font_data_inline_style){ $list.=$meta_font_data_inline_style; } if($meta_font_size){ $list.='font-size:'.esc_attr($meta_font_size).' !important;'; } if($meta_line_height){ $list.='line-height:'.esc_attr($meta_line_height).' !important;'; } $list.='"'; } $list.='>
											<span ';if($meta_font_size){ $list.='style="font-size:inherit"'; } $list.='>'.get_the_time('M j, Y').'</span>
										</div>
									'; } $list.='	
										<'.esc_attr($title_tag).' ';if($sm_title_font_size){ $list.='style="font-size:'.esc_attr($sm_title_font_size).' !important;"'; } $list.='><a href="'.get_permalink().'" ';if($title_font_inline_style || $sm_title_font_size || $sm_title_line_height || $title_padding_bottom){ $list.='style="'; if($title_font_inline_style){ $list.=$title_font_inline_style; } if($sm_title_font_size){ $list.='font-size:'.esc_attr($sm_title_font_size).' !important;'; } if($sm_title_line_height){ $list.='line-height:'.esc_attr($sm_title_line_height).' !important;'; } if($title_padding_bottom){ $list.='padding-bottom:'.esc_attr($title_padding_bottom).' !important;display: block;'; } $list.='"'; } $list.='>' . mb_strimwidth( get_the_title(), 0, $title_character_limit, '...' ) . '</a></'.esc_attr($title_tag).'>';
								if($sm_post_date_meta == 'yes'){ 		
										if(get_comments_number()>0){
								$list.= '<div class="meta" ';if($meta_font_data_inline_style || $meta_font_size || $meta_line_height){ $list.='style="'; if($meta_font_data_inline_style){ $list.=$meta_font_data_inline_style; } if($meta_font_size){ $list.='font-size:'.esc_attr($meta_font_size).' !important;'; } if($meta_line_height){ $list.='line-height:'.esc_attr($meta_line_height).' !important;'; } $list.='"'; } $list.='>
											<span class="comment" ';if($meta_font_size){ $list.='style="font-size:inherit"'; } $list.='> <a class="meta-link" href="'.get_the_permalink().'"><i class="far fa-comment"></i> '.get_comments_number().'</a> </span>
										</div>';
										}
								} 			
							$list.= '</div>
								</div>
							</div>
						</article>
					
			'; 
			endwhile; endif;
			wp_reset_postdata();

			$list.= '</div>
			</div>
			';
			$list .='</div>';
			if($nextprevbtn=='yes'){
			$list .='<div class="row">';
			$list .='<div id="mynewpagination'.$current_time.'" class="vcelement_pagination">';
			$prev_link = get_previous_posts_link();
			$next_link = get_next_posts_link();
			
			if($prev_link){ 
			$list .='<b class="next-link" ';if($next_btn_font_data_inline_style || $next_button_font_size){ $list.='style="'; if($next_btn_font_data_inline_style){ $list.=$next_btn_font_data_inline_style; } if($next_button_font_size){ $list.='font-size:'.$next_button_font_size.' !important;'; } $list.='"'; } $list.='>'.get_previous_posts_link('Prev').'</b>';
			}else{ 
			$list .='<b class="next-link disabled" ';if($next_btn_font_data_inline_style || $next_button_font_size){ $list.='style="'; if($next_btn_font_data_inline_style){ $list.=$next_btn_font_data_inline_style; } if($next_button_font_size){ $list.='font-size:'.$next_button_font_size.' !important;'; } $list.='"'; } $list.='>'.esc_html__('Prev', 'wfnews').'</b>';
			} 
			if($next_link){
			$list .='<b class="prev-link" ';if($next_btn_font_data_inline_style || $next_button_font_size){ $list.='style="'; if($next_btn_font_data_inline_style){ $list.=$next_btn_font_data_inline_style; } if($next_button_font_size){ $list.='font-size:'.$next_button_font_size.' !important;'; } $list.='"'; } $list.='>'.get_next_posts_link('Next').'</b>';
			}else{ 	
			$list .='<b class="prev-link disabled" ';if($next_btn_font_data_inline_style || $next_button_font_size){ $list.='style="'; if($next_btn_font_data_inline_style){ $list.=$next_btn_font_data_inline_style; } if($next_button_font_size){ $list.='font-size:'.$next_button_font_size.' !important;'; } $list.='"'; } $list.='>'.esc_html__(' Next', 'wfnews').'</b>';
			} 				
			$list .='</div>';
			$list .='</div>';
			
			$list .='<script>
				jQuery(function($) {
					jQuery("#mynewcontent'.$current_time.'").on("click", "#mynewpagination'.$current_time.' a", function(e){
						e.preventDefault();
						jQuery(".loader'.$current_time.'").show();
						jQuery(".fixedheight").height($("#mynewcontent'.$current_time.'").height());

						var link = $(this).attr("href");
						jQuery("#mynewcontent'.$current_time.'").fadeOut("slow", function(){
							jQuery(this).load(link + " #mynewcontent'.$current_time.'", function() {
								jQuery(this).fadeIn("slow");
								jQuery(".loader'.$current_time.'").hide();
								jQuery(".fixedheight").height("auto");
							});
						});
						
					});
					});
				 </script>';
			$list .='<div><style>';
			$list .='.loader'.$current_time.' {
						border: 16px solid #f3f3f3;
						border-radius: 50%;
						border-top: 16px solid '.$loadercolor.';
						width: 120px;
						height: 120px;
						margin: 0 auto;
						-webkit-animation: spin 2s linear infinite;
						animation: spin 2s linear infinite;
						position: absolute;
						z-index: 999;
						left: 42%;
						top: 42%;
					}';
			$list .='</style></div>';		
			}
			// Reset main query object
						$wp_query = NULL;
						$wp_query = $temp_query;

			$list .='</div>';	
			}
			//End all of tab option			
			$list .='</div>';
			
			$list .='</div>';
			$list.='

<script>
jQuery(document).ready(function(){
jQuery("#post-block-1 a").on("click", function (e) {
  e.preventDefault()
  jQuery(this).tab("show")
})
});

</script>
';
			$list.= $style;
			return $list;
			}
add_shortcode('wfnews_post_block_1_post', 'wfnews_post_block_1_shortcode');

if(class_exists('WPBakeryVisualComposerAbstract')) {
	include_once('vc_shortcodes.php');
}