<?php
/*****************
Post Block 10 Post List 
*****************/

function wfnews_post_block_10_shortcode($atts){
extract( shortcode_atts( array(
		'type' => 'post',
        'category' => wfnews_default_category(),
		'current_time' => time(),
		'imageanimate' => 'no',
		'nextprevbtn' => 'no',
		'title_character_limit' => 100,
		'wordlimit' => 15,
        'itemcount' => 2,
        'blockcolor' => '',
        'orderby' => 'title',
        'order' => 'DESC',
        'heading' => 'Heading',
		'bgimagecls' => '',
		'blockbordercolor' => '',
		'blockbackgroundcolor' => '',
		'blockposttitlecolor' => '',
		'blocktextcolor' => '',
		'blockhovercolor' => '',
		'blockdatecolor' => '',
		'blockheadingcolor' => '',
		'blockheadingbackgroundcolor' => '',
		'blockborder' => 'no',
		'heading_style' => '',
		'title_font' => '',		
		'title_font_size' => '',
		'title_line_height' => '',
		'title_padding_bottom' => '',
		'headline_font' => '',		
		'headline_font_size' => '',
		'headline_line_height' => '',
		'excerpt_font' => '',		
		'excerpt_font_size' => '',
		'excerpt_line_height' => '',
		'meta_font' => '',		
		'meta_font_size' => '',
		'meta_line_height' => '',		
		'blockcategorybackground' => '',		
		'title_tag' => 'h4',
		'button_font' => '',		
		'button_font_size' => '',		
		'block_padding' => '',		
		'block_margin' => '', 'blocknumber' => '',		
		'button_width' => '',
		'sm_post_cat_meta' => 'yes',		
		'sm_post_date_meta' => 'yes',
		'block_meta_anchor_color' => '',		
		'heading_border_color' => '',		
		'r_more_btn_color' => '',		
		'load_more_btn_bg' => '',
		'post_type' => 'post',		
), $atts) );
$term_id = $category;
$style=''; $fronturl = home_url( '/' ); $fronturl .= 'post-block-';
/******************
MANAGE GOOGLE FONT DATA 
******************/
if(wfnews_get_plugin_option('title_font_settings')== "on"){	
	if(isset($title_font) && ($title_font != '')){
	$title_font_data = wfnews_getFontsData( $title_font );		
	$title_font_inline_style = wfnews_googleFontsStyles( $title_font_data );  
	wfnews_enqueueGoogleFonts( $title_font_data ); 
	}else{
	$title_font_inline_style='';
	}		
}else{
	$title_font_inline_style='';
	$title_font='';
	$title_font_size='';
	$title_line_height='';
	$title_padding_bottom='';
} 

if(wfnews_get_plugin_option('headline_font_settings')== "on"){
	if(isset($headline_font) && ($headline_font != '')){
	$headline_font_data = wfnews_getFontsData( $headline_font );
	$headline_font_data_inline_style = wfnews_googleFontsStyles( $headline_font_data );
    wfnews_enqueueGoogleFonts( $headline_font_data );
	}else{
	$headline_font_data_inline_style='';		
	}	
}else{
	$headline_font_data_inline_style='';
	$headline_font='';
	$headline_font_size='';
	$headline_line_height='';
}

if(wfnews_get_plugin_option('meta_font_settings')== "on"){
	if(isset($meta_font) && ($meta_font != '')){
	$meta_font_data = wfnews_getFontsData( $meta_font );
	$meta_font_data_inline_style = wfnews_googleFontsStyles( $meta_font_data );
    wfnews_enqueueGoogleFonts( $meta_font_data );
	}else{
	$meta_font_data_inline_style ='';	
	}	
}else{
	$meta_font_data_inline_style ='';
	$meta_font ='';
	$meta_font_size ='';
	$meta_line_height ='';
}		

if(wfnews_get_plugin_option('excerpt_font_settings')== "on"){
	if(isset($excerpt_font) && ($excerpt_font != '')){
	$excerpt_font_data = wfnews_getFontsData( $excerpt_font );
    $excerpt_font_data_inline_style = wfnews_googleFontsStyles( $excerpt_font_data );
    wfnews_enqueueGoogleFonts( $excerpt_font_data );
	}else{
	$excerpt_font_data_inline_style ='';	
	}	
}else{
	$excerpt_font_data_inline_style ='';
	$excerpt_font_size ='';
	$excerpt_line_height ='';
}

if(wfnews_get_plugin_option('button_font_settings')== "on"){
	if(isset($button_font) && ($button_font != '')){
	$button_font_data = wfnews_getFontsData( $button_font );
    $button_font_data_inline_style = wfnews_googleFontsStyles( $button_font_data );
    wfnews_enqueueGoogleFonts( $button_font_data );
	}else{
	$button_font_data_inline_style ='';	
	}	
}else{
	$button_font_data_inline_style ='';
	$button_font ='';
	$button_font_size ='';
	$button_width ='';
}
        
/******************
END MANAGE GOOGLE FONT DATA 
******************/

		// generate unique class for the section	
		for($i=0;$i<=50;$i++){
			$str = 'abcdefghijk';
			$shuffled = str_shuffle($str);
		}
		$unique_css_class=$shuffled;
		
		//include custom css
		include('block_10_css.php');	
		
		// style wise css headline css include
		if($heading_style == "style1") {
			include(dirname(__FILE__).'/../css/title/title-style1.php');
		}elseif ($heading_style == "style2"){
			include(dirname(__FILE__).'/../css/title/title-style2.php');
		}elseif ($heading_style == "style3"){
			include(dirname(__FILE__).'/../css/title/title-style3.php');
		}elseif ($heading_style == "style4"){
			include(dirname(__FILE__).'/../css/title/title-style4.php');
		}elseif ($heading_style == "style5"){
			include(dirname(__FILE__).'/../css/title/title-style5.php');
		}elseif ($heading_style == "style6"){
			include(dirname(__FILE__).'/../css/title/title-style6.php');
		}elseif ($heading_style == "style7"){
			include(dirname(__FILE__).'/../css/title/title-style7.php');
		}elseif ($heading_style == "style8"){
			include(dirname(__FILE__).'/../css/title/title-style8.php');
		}elseif ($heading_style == "style9"){
			include(dirname(__FILE__).'/../css/title/title-style9.php');
		}elseif ($heading_style == "style10"){
			include(dirname(__FILE__).'/../css/title/title-style10.php');
		}elseif ($heading_style == "style11"){
			include(dirname(__FILE__).'/../css/title/title-style11.php');
		}elseif ($heading_style == "style12"){
			include(dirname(__FILE__).'/../css/title/title-style12.php');
		}elseif ($heading_style == "style13"){
			include(dirname(__FILE__).'/../css/title/title-style13.php');
		}

		if($blockcategorybackground){
		include('blockcategorybackground.php');	
		}
			if($imageanimate=='yes'){ $bgimagecls='bg-img';}else{$bgimagecls='';}
			if($blockborder=='yes'){ $blockborder='wfnews-make-border';}else{$blockborder='';}
			
			if($itemcount==''){ $itemcount=2;}else{$itemcount=$itemcount;}
			if($title_character_limit==''){ $title_character_limit=100;}else{$title_character_limit=$title_character_limit;}
			if($wordlimit==''){ $wordlimit=15;}else{$wordlimit=$wordlimit;}
			if($current_time==''){ $current_time = time();}else{$current_time=$current_time;}
			
			if((!empty($blockcolor)) || (!empty($blockhovercolor))){
			if($blockhovercolor){
			include('blockhovercolor.php');
			}
				if($blockcolor){
				include('blockcolor.php');
				}
				}
			if((!empty($blockheadingcolor)) || (!empty($blockheadingbackgroundcolor)) || (!empty($blockbordercolor)) || (!empty($blockbackgroundcolor)) || (!empty($blockposttitlecolor)) || (!empty($blockcolor)) || (!empty($blocktextcolor)) || (!empty($blockdatecolor))){
			if($blockheadingcolor){
			include('blockheadingcolor.php');
			} 
			if($blockheadingbackgroundcolor){
			include('blockheadingbackgroundcolor.php');
			}
			if($blockbordercolor){
			include('blockbordercolor.php');
			}
			if($blockbackgroundcolor){
			include('blockbackgroundcolor.php');
			}
			if($blockposttitlecolor){
			include('blockposttitlecolor.php');
			}
			
			if($blocktextcolor){
			include('blocktextcolor.php');
			}
			if($blockdatecolor){
			include('blockdatecolor.php');
			}
			}
			if($block_meta_anchor_color){
			include('block_meta_anchor_color.php');
			}

			if($r_more_btn_color){
			include('r_more_btn_color.php');
			}
			if($load_more_btn_bg){
			include('load_more_btn_bg.php');
			}			
			$list ='';
			$list .='<div class="post-block '.esc_attr($unique_css_class).' post_block_10 post_block_10'.$current_time.' '.$blockborder.'" ';if($block_padding || $block_margin){ $list.='style="';if($block_padding){ $list.='padding:'.$block_padding.';'; } if($block_margin){ $list.='margin:'.$block_margin.';'; } $list.='"'; } $list.='>';
			if($heading){
			$list .= '<h4 class="margin-bottom-15"><b ';if($headline_font_data_inline_style || $headline_font_size || $headline_line_height){ $list.='style="'; if($headline_font_data_inline_style){ $list.=$headline_font_data_inline_style; } if($headline_font_size){ $list.='font-size:'.$headline_font_size.' !important;'; } if($headline_line_height){ $list.='line-height:'.$headline_line_height.' !important;'; } $list.='"'; } $list.='>'.$heading.'</b></h4>';
			}
			$list .= '<div class="row">
						<div class="col-md-12">
						<div class="post_block_10_posts'.$current_time.'">';

/*New $args start*/
			if($post_type == 'post'){
				
			// post $args	
			$args = array('post_type' => 'post', 'posts_per_page' => $itemcount, 'cat' => $category, 'orderby' => $orderby, 'order' => $order);
			// post $args end
			
			} elseif($post_type == 'attachment') {
				
			// post $args	
			$args = array('post_type' => $post_type,'posts_per_page' => $itemcount,'orderby' => $orderby, 'order' => $order,  'post_mime_type' => 'image/jpeg,image/gif,image/jpg,image/png','post_status' => 'any' );			
			// post $args end	
			
			} else{
			$term = get_term( $term_id );
			$term_post_type = get_taxonomy( $term->taxonomy )->object_type[0];			
			// post $args	
			if($term_post_type == $post_type){			
			$args = array('post_type' => $post_type, 
			'tax_query' => array(
				array(
					'taxonomy' => $term->taxonomy,   // taxonomy name
					'field' => 'term_id',           // term_id, slug or name
					'terms' => $term_id,                  // term id, term slug or term name
				)
			),			
			'posts_per_page' => $itemcount,  'orderby' => $orderby, 'order' => $order);
			}else{
			$args = array('post_type' => $post_type, 'posts_per_page' => $itemcount,  'orderby' => $orderby, 'order' => $order);				
			}			
			// post $args end	
			
			}			
/*New $args end*/			
			global $wp_query;		
			$temp_query = $wp_query;
			$wp_query= null;			
			$wp_query = new WP_Query($args);				
			$totalpostcount = $wp_query->found_posts;
			$showloadmore = $totalpostcount - $itemcount;
			if ($wp_query->have_posts()) :  while ($wp_query->have_posts()) : $wp_query->the_post();
			global $post;
			$get_ids[]= $post->ID;

			$featured_img = get_the_post_thumbnail_url(get_the_ID(),'full');
			if($featured_img){
				if ( wfnews_wp_is_mobile() ) {
				$featured_img_url = get_the_post_thumbnail_url(get_the_ID(),'medium');
				} else {
				$featured_img_url = get_the_post_thumbnail_url(get_the_ID(),'full');
				}
			}else{
				if($post_type == 'attachment'){
					$featured_img_url = wp_get_attachment_url(get_post_thumbnail_id());
				}else{
					$featured_img_url = WFNEWS_IMAGE_DIR .'noblogimg.png';
				}
			}

			if (has_post_format( 'video' )) { 
				$videoicon = '<div class="play_md" style="background:none;"><a href="'.get_permalink().'"><img src="'. esc_url(WFNEWS_IMAGE_DIR) .'video.png" alt="'.esc_attr__('image','wfnews').'" style="width:48px;height:48px;" /></a></div>';
			}else{
				$videoicon = '';
			}
			$list .= '<article class="style2">
						<div class="row">
							<div class="col-md-6">
							'.$videoicon.'
								<a href="'.get_permalink().'">
									<div class="beforegeneralstyle">
										<div class="generalstyle '.esc_attr($bgimagecls).'" style="background-image: url('.esc_url($featured_img_url).'); opacity: 1;"></div>';
									if($blocknumber) { $list .='<div class="wfnewsallinfo"><h3>'.esc_html__("Post Block", "wfnews").' '.$blocknumber.'</h3><p><a class="clckhr" target="_blank" href="'.esc_url($fronturl.$blocknumber).'/">'.esc_html__("Click Here", "wfnews").'</a> '.esc_html__("to view all features of this post-block", "wfnews").'</p></div>'; } $list .='
									</div>
								</a>
							</div>
							<div class="col-md-6">
								<div class="post-excerpt">
								'; if($sm_post_cat_meta == 'yes'){ $list.='
									<div class="small-title cat" ';if($meta_font_data_inline_style || $meta_font_size || $meta_line_height){ $list.='style="'; if($meta_font_data_inline_style){ $list.=$meta_font_data_inline_style; } if($meta_font_size){ $list.='font-size:'.esc_attr($meta_font_size).' !important;'; } if($meta_line_height){ $list.='line-height:'.esc_attr($meta_line_height).' !important;'; } $list.='"'; } $list.='>' . wfnews_all_category_styles() . '</div>
								'; } $list.='	
									<'.esc_attr($title_tag).' class="post_block_title" ';if($title_font_size){ $list.='style="font-size:'.esc_attr($title_font_size).' !important;"'; } $list.='><a href="'.get_permalink().'" ';if($title_font_inline_style || $title_font_size || $title_line_height || $title_padding_bottom){ $list.='style="'; if($title_font_inline_style){ $list.=$title_font_inline_style; } if($title_font_size){ $list.='font-size:'.esc_attr($title_font_size).' !important;'; } if($title_line_height){ $list.='line-height:'.esc_attr($title_line_height).' !important;'; } if($title_padding_bottom){ $list.='padding-bottom:'.esc_attr($title_padding_bottom).' !important;display: block;'; } $list.='"'; } $list.='>' . mb_strimwidth( get_the_title(), 0, $title_character_limit, '...' ) . '</a></'.esc_attr($title_tag).'>
								'; if($sm_post_date_meta == 'yes'){ $list.='	
									<div class="meta" ';if($meta_font_data_inline_style || $meta_font_size || $meta_line_height){ $list.='style="'; if($meta_font_data_inline_style){ $list.=$meta_font_data_inline_style; } if($meta_font_size){ $list.='font-size:'.esc_attr($meta_font_size).' !important;'; } if($meta_line_height){ $list.='line-height:'.esc_attr($meta_line_height).' !important;'; } $list.='"'; } $list.='>
										<span ';if($meta_font_size){ $list.='style="font-size:inherit"'; } $list.='>'.esc_html__("by", "wfnews").' '.get_the_author_posts_link().'</span>
										<span ';if($meta_font_size){ $list.='style="font-size:inherit"'; } $list.='>'.esc_html__("on", "wfnews").' '.get_the_time('M j, Y').'</span>
										<span class="comment" ';if($meta_font_size){ $list.='style="font-size:inherit"'; } $list.='> <a class="meta-link" href="'.get_the_permalink().'"><i class="far fa-comment"></i> '.get_comments_number().'</a> </span>
									</div>
								'; } $list.='	
									<p ';if($excerpt_font_data_inline_style || $excerpt_font_size || $excerpt_line_height){ $list.='style="'; if($excerpt_font_data_inline_style){ $list.=$excerpt_font_data_inline_style; } if($excerpt_font_size){ $list.='font-size:'.esc_attr($excerpt_font_size).' !important;'; } if($excerpt_line_height){ $list.='line-height:'.esc_attr($excerpt_line_height).' !important;'; } $list.='"'; } $list.='>' . wfnews_excerpt($wordlimit) . '</p>
									<a href="'.get_permalink().'" class="small-title rmore" ';if($button_font_data_inline_style || $button_font_size){ $list.='style="'; if($button_font_data_inline_style){ $list.=$button_font_data_inline_style; } if($button_font_size){ $list.='font-size:'.esc_attr($button_font_size).' !important;'; } $list.='"'; } $list.='>'.esc_html__('Read More','wfnews').'</a>
								</div>
							</div>
						</div>
					</article>'; 
			endwhile;endif;	

			$list.= '</div>';
				if($nextprevbtn=='yes'){
				$list .= '<div class="post_block_10_posts_loadmore'.$current_time.' loadmorebtn margin-top-50" ';if($button_font_data_inline_style || $button_font_size){ $list.='style="'; if($button_font_data_inline_style){ $list.=$button_font_data_inline_style; } if($button_font_size){ $list.='font-size:'.esc_attr($button_font_size).' !important;'; }if($button_width){ $list.='width:'.$button_width.' !important;'; } $list.='"'; } $list.='>'.esc_html__('Load More', 'wfnews').' <i class="fas fa-redo" aria-hidden="true"></i></div>';
				$list .='
				<script type="text/javascript">
				var ajaxurl = "'.admin_url('admin-ajax.php').'";
				var page = 1;
				var wordlimit = "'.$wordlimit.'";
				var character_limit = "'.$title_character_limit.'";
				jQuery(function($) {
					$("body").on("click", ".post_block_10_posts_loadmore'.$current_time.'", function() {
						var data = {
							"action": "wfnews_load_post_block_10_posts_by_ajax",
							"page": page,
							"cat": '.$category.',
							"post__not_in": "'.json_encode($get_ids).'",
							"bgimagecls": "'.esc_attr($bgimagecls).'",
							"wordlimit": wordlimit,
							"title_character_limit": character_limit,
							"title_font_inline_style": "'.$title_font_inline_style.'",
							"title_font_size": "'.esc_attr($title_font_size).'",
							"title_line_height": "'.esc_attr($title_line_height).'",						
							"meta_font_data_inline_style": "'.$meta_font_data_inline_style.'",
							"meta_font_size": "'.esc_attr($meta_font_size).'",
							"meta_line_height": "'.esc_attr($meta_line_height).'",							
							"title_tag": "'.$title_tag.'",
							"excerpt_font_data_inline_style": "'.$excerpt_font_data_inline_style.'",
							"excerpt_font_size": "'.esc_attr($excerpt_font_size).'",
							"excerpt_line_height": "'.esc_attr($excerpt_line_height).'",
							"button_font_data_inline_style": "'.$button_font_data_inline_style.'",
							"button_font_size": "'.esc_attr($button_font_size).'",
							"sm_post_cat_meta": "'.$sm_post_cat_meta.'",
							"sm_post_date_meta": "'.$sm_post_date_meta.'",
							"post_type": "'.$post_type.'",
							"term_id": "'.$term_id.'",							
							"security": "'.wp_create_nonce('load_more_post_block_10_posts').'"
						};
						$(".post_block_10_posts_loadmore'.$current_time.'.loadmorebtn i").addClass("fa-spin");

						$.post(ajaxurl, data, function(response) {
							if(response != "") {
							$(".post_block_10_posts'.$current_time.'").append(response);
							page++;
							$(".post_block_10_posts_loadmore'.$current_time.'.loadmorebtn i").removeClass("fa-spin");
							} else {
							$(".post_block_10_posts_loadmore'.$current_time.'").hide();
							}
						});
					});
				});

				</script>
				';
				}	
			
			$list.= '</div></div>';
			$list.= '</div>';
			$wp_query = null;
			$wp_query = $temp_query;
			wp_reset_query();
			$list.= $style;
			return $list;
			}
add_shortcode('wfnews_post_block_10_post', 'wfnews_post_block_10_shortcode');

if(class_exists('WPBakeryVisualComposerAbstract')) {
	include_once('vc_shortcodes.php');
}